Prompts
Visibility, share of voice and position per tracked brand for one prompt.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidpromptId*stringuuidfrom?stringAnswered on or after this UTC date
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date
^\d{4}-\d{2}-\d{2}$Totals, ranking and one row per UTC day
application/jsonprompt*responses*integerbrands*array<>ranking*array<>days*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08/insights'{ "prompt": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "countryCode": "string", "enabled": true, "createdAt": "2019-08-24T14:15:22Z" }, "responses": 0, "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ], "ranking": [ { "key": "string", "visibility": 0, "share": 0, "position": 0, "mentions": 0 } ], "days": [ { "day": "string", "responses": 0, "brands": [ { "key": "string", "visibility": 0, "share": 0, "position": 0, "mentions": 0 } ] } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08/insights'{
"prompt": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"countryCode": "string",
"enabled": true,
"createdAt": "2019-08-24T14:15:22Z"
},
"responses": 0,
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
],
"ranking": [
{
"key": "string",
"visibility": 0,
"share": 0,
"position": 0,
"mentions": 0
}
],
"days": [
{
"day": "string",
"responses": 0,
"brands": [
{
"key": "string",
"visibility": 0,
"share": 0,
"position": 0,
"mentions": 0
}
]
}
]
}